## 介绍
主要用于在静态网页上做标记(高亮), 当然前提是网页上的内容不会发生变化, 一旦发生变化之前做的标记将会错乱;
暂不支持夸多节点标记内容;

## 安装
npm install -D web-marker

## 使用
```javascript
const webMarker = new WebMarker({
  defaultMarkers, // 默认标记数据
  selectedClassName: '_temp_marker', // 选中后样式名
  markedClassName: '_web_marker',  // 标记样式名
  focusMarkedClassName: '_focus_web_marker', // 选中已标记样式名
  btnWrapperID: 'webMarkerBtnBox', // 弹框节点 ID
  btnArrowID: 'webMarker_arrow', // 弹框箭头节点 ID, 动画用
  btnMarkID: 'webMarker_btn_mark', // 标记(高亮) ID
  btnDeleteID: 'webMarker_btn_delete' // 删除标记 ID
})

// 标记当前选中区域
webMarker.mark()

// 获取当前选中区域文本内容
webMarker.getSelectedText()

// 获取当前选中区域ID
webMarker.getCurrentId()

// 获取当前页面所有标记信息
webMarker.getAllMarkes()

// 删除当前标记
webMarker.del()

```






